/*
 * SSD1331/SSD1315に７セグメントっぽいフォントで表示
 * 
 */
#ifndef OLED1331_H
#define OLED1331_H
#include <arduino.h>

#define OLED_SSD1331_WIDTH 96  // OLEDの幅(ピクセル数)
#define OLED_SSD1331_HIGHT 64  // OLEDの高さ(ピクセル数)

class OLED1331
{
  public:
    void init(); // 初期化
    void cls(); // 画面クリア
    void drowBitMap(int offsetX , int offsetY , int width, int hight, uint8_t bitMap[]);

  protected:
    void oledSendCommand(uint8_t command);
    void oledSendCommand2(uint8_t command1, uint8_t command2);
    void oledSendCommand3(uint8_t command1, uint8_t command2, uint8_t command3) ;
    void oledSendCommands(int commandLen, uint8_t commands[]);
} ;
#endif
